aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJacob Erlbeck <jerlbeck@sysmocom.de>2016-02-09 22:44:36 +0100
committerJacob Erlbeck <jerlbeck@sysmocom.de>2016-02-09 22:57:43 +0100
commite61dc6d880ec53f857b88ae2d5c898426ff8f680 (patch)
tree9d437d6517470a400a95f222eee235733041e75c
parentd57ca6f8dbc5d8451fc3d2b19d4b412f6a3c82a3 (diff)
edge: Limit the maximum uplink to MCS-4
Currently the VTY command 'mcs max' can be used to set MCS-5 and above for uplink TBFs, which would break them. Restrict them to valid ranges and issue a warning if the value was too large. Ticket: #2457 Sponsored-by: On-Waves ehf
-rw-r--r--src/pcu_vty.c10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/pcu_vty.c b/src/pcu_vty.c
index 58fea99..1274fbc 100644
--- a/src/pcu_vty.c
+++ b/src/pcu_vty.c
@@ -464,6 +464,16 @@ DEFUN(cfg_pcu_mcs_max,
else
bts->max_mcs_ul = mcs;
+ /* TODO: Remove this restriction when MCS-5 and above are supported by
+ * the implementation */
+ if (bts->max_mcs_ul > 4) {
+ vty_out(vty,
+ "Limiting the uplink coding scheme to MCS-4, since MCS-5 "
+ "and above are not yet supported in updalink direction.%s",
+ VTY_NEWLINE);
+ bts->max_mcs_ul = 4;
+ }
+
return CMD_SUCCESS;
}